/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 */
'use strict';

Liferay.Loader.define("commerce-frontend-taglib@10.1.5/account_selector/AccountsTable.es", ['module', 'exports', 'require', 'frontend-js-web', 'frontend-js-metal-web$metal-component', 'frontend-js-metal-web$metal-soy', './AccountsTable.soy', './AccountsTableItem.es'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = exports.AccountsTable = void 0;

    var _frontendJsWeb = require("frontend-js-web");

    var _metalComponent = _interopRequireDefault(require("frontend-js-metal-web$metal-component"));

    var _metalSoy = _interopRequireWildcard(require("frontend-js-metal-web$metal-soy"));

    var _AccountsTable = _interopRequireDefault(require("./AccountsTable.soy"));

    require("./AccountsTableItem.es");

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    function _classCallCheck(instance, Constructor) {
      if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
      }
    }

    function _defineProperties(target, props) {
      for (var i = 0; i < props.length; i++) {
        var descriptor = props[i];descriptor.enumerable = descriptor.enumerable || false;descriptor.configurable = true;if ("value" in descriptor) descriptor.writable = true;Object.defineProperty(target, descriptor.key, descriptor);
      }
    }

    function _createClass(Constructor, protoProps, staticProps) {
      if (protoProps) _defineProperties(Constructor.prototype, protoProps);if (staticProps) _defineProperties(Constructor, staticProps);return Constructor;
    }

    function _possibleConstructorReturn(self, call) {
      if (call && (_typeof(call) === "object" || typeof call === "function")) {
        return call;
      }return _assertThisInitialized(self);
    }

    function _assertThisInitialized(self) {
      if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
      }return self;
    }

    function _getPrototypeOf(o) {
      _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
      };return _getPrototypeOf(o);
    }

    function _inherits(subClass, superClass) {
      if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
      }subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } });if (superClass) _setPrototypeOf(subClass, superClass);
    }

    function _setPrototypeOf(o, p) {
      _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) {
        o.__proto__ = p;return o;
      };return _setPrototypeOf(o, p);
    }

    var AccountsTable = /*#__PURE__*/function (_Component) {
      _inherits(AccountsTable, _Component);

      function AccountsTable() {
        _classCallCheck(this, AccountsTable);

        return _possibleConstructorReturn(this, _getPrototypeOf(AccountsTable).apply(this, arguments));
      }

      _createClass(AccountsTable, [{
        key: "created",
        value: function created() {
          this._handleFilterChange = (0, _frontendJsWeb.debounce)(this._handleFilterChange.bind(this), 500);
        }
      }, {
        key: "handleSelectAccount",
        value: function handleSelectAccount(accountData) {
          this.emit('accountSelected', accountData);
        }
      }, {
        key: "_getAccounts",
        value: function _getAccounts() {
          return this.emit('getAccounts', this.filterString);
        }
      }, {
        key: "_handleFilterChange",
        value: function _handleFilterChange(evt) {
          this.filterString = evt.target.value;
          return this._getAccounts();
        }
      }, {
        key: "_handleSubmitFilter",
        value: function _handleSubmitFilter(evt) {
          evt.preventDefault();
          return this._getAccounts();
        }
      }]);

      return AccountsTable;
    }(_metalComponent.default);

    exports.AccountsTable = AccountsTable;

    _metalSoy.default.register(AccountsTable, _AccountsTable.default);

    AccountsTable.STATE = {
      accounts: _metalSoy.Config.arrayOf(_metalSoy.Config.shapeOf({
        accountId: _metalSoy.Config.oneOfType([_metalSoy.Config.string(), _metalSoy.Config.number()]).required(),
        name: _metalSoy.Config.string(),
        thumbnail: _metalSoy.Config.string()
      })),
      createNewOrderLink: _metalSoy.Config.string(),
      currentAccount: _metalSoy.Config.shapeOf({
        accountId: _metalSoy.Config.oneOfType([_metalSoy.Config.string(), _metalSoy.Config.number()]).required(),
        name: _metalSoy.Config.string(),
        thumbnail: _metalSoy.Config.string()
      }),
      filterString: _metalSoy.Config.string().value('').internal()
    };
    var _default = AccountsTable;
    exports.default = _default;
    //# sourceMappingURL=AccountsTable.es.js.map
  }
});
//# sourceMappingURL=AccountsTable.es.js.map