Liferay.Loader.define("commerce-bom-admin-web@4.0.30/js/components/StoreContext.es", ['module', 'exports', 'require', 'frontend-js-react-web$react', '../actions/app.es', '../actions/area.es', '../middleware/index.es', '../reducers/app.es', '../reducers/area.es', './utilities/combineReducers.es'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.initializeActions = initializeActions;
    exports.StoreProvider = StoreProvider;
    exports.StoreConsumer = exports.default = exports.StoreContext = void 0;

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    var _app = require("../actions/app.es");

    var _area = require("../actions/area.es");

    var _index = _interopRequireDefault(require("../middleware/index.es"));

    var _app2 = _interopRequireWildcard(require("../reducers/app.es"));

    var _area2 = _interopRequireWildcard(require("../reducers/area.es"));

    var _combineReducers = require("./utilities/combineReducers.es");

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _slicedToArray(arr, i) {
      return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest();
    }

    function _nonIterableRest() {
      throw new TypeError("Invalid attempt to destructure non-iterable instance");
    }

    function _iterableToArrayLimit(arr, i) {
      if (!(Symbol.iterator in Object(arr) || Object.prototype.toString.call(arr) === "[object Arguments]")) {
        return;
      }var _arr = [];var _n = true;var _d = false;var _e = undefined;try {
        for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
          _arr.push(_s.value);if (i && _arr.length === i) break;
        }
      } catch (err) {
        _d = true;_e = err;
      } finally {
        try {
          if (!_n && _i["return"] != null) _i["return"]();
        } finally {
          if (_d) throw _e;
        }
      }return _arr;
    }

    function _arrayWithHoles(arr) {
      if (Array.isArray(arr)) return arr;
    }

    function ownKeys(object, enumerableOnly) {
      var keys = Object.keys(object);if (Object.getOwnPropertySymbols) {
        var symbols = Object.getOwnPropertySymbols(object);if (enumerableOnly) symbols = symbols.filter(function (sym) {
          return Object.getOwnPropertyDescriptor(object, sym).enumerable;
        });keys.push.apply(keys, symbols);
      }return keys;
    }

    function _objectSpread(target) {
      for (var i = 1; i < arguments.length; i++) {
        var source = arguments[i] != null ? arguments[i] : {};if (i % 2) {
          ownKeys(Object(source), true).forEach(function (key) {
            _defineProperty(target, key, source[key]);
          });
        } else if (Object.getOwnPropertyDescriptors) {
          Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
        } else {
          ownKeys(Object(source)).forEach(function (key) {
            Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
          });
        }
      }return target;
    }

    function _defineProperty(obj, key, value) {
      if (key in obj) {
        Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true });
      } else {
        obj[key] = value;
      }return obj;
    }

    var StoreContext = /*#__PURE__*/(0, _react.createContext)();
    exports.StoreContext = StoreContext;

    function initializeActions(actions, dispatch) {
      return Object.keys(actions).reduce(function (curriedActions, actionName) {
        return _objectSpread(_objectSpread({}, curriedActions), {}, _defineProperty({}, actionName, actions[actionName](dispatch)));
      }, {});
    }

    var reducers = (0, _combineReducers.combineReducers)({
      app: _app2.default,
      area: _area2.default
    });

    function StoreProvider(props) {
      var _useReducer = (0, _react.useReducer)(reducers, {
        app: _app2.initialState,
        area: _area2.initialState
      }),
          _useReducer2 = _slicedToArray(_useReducer, 2),
          state = _useReducer2[0],
          dispatch = _useReducer2[1];

      var actions = initializeActions(_objectSpread(_objectSpread({}, _app.actions), _area.actions), (0, _index.default)(dispatch));
      return (/*#__PURE__*/_react.default.createElement(StoreContext.Provider, {
          value: {
            actions: actions,
            state: state
          }
        }, props.children)
      );
    }

    var _default = StoreContext;
    exports.default = _default;
    var StoreConsumer = StoreContext.Consumer;
    exports.StoreConsumer = StoreConsumer;
    //# sourceMappingURL=StoreContext.es.js.map
  }
});
//# sourceMappingURL=StoreContext.es.js.map