Liferay.Loader.define("commerce-frontend-js@3.0.26/components/data_renderers/ActionLinkRenderer", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/button', '@frontend-taglib-clay$clayui/icon', '@frontend-taglib-clay$clayui/link', '@frontend-taglib-clay$clayui/loading-indicator', 'frontend-js-react-web$prop-types', 'frontend-js-react-web$react', '../../utilities/index', '../dataset_display/DatasetDisplayContext', './DefaultRenderer'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _button = _interopRequireDefault(require("@frontend-taglib-clay$clayui/button"));

    var _icon = _interopRequireDefault(require("@frontend-taglib-clay$clayui/icon"));

    var _link = _interopRequireDefault(require("@frontend-taglib-clay$clayui/link"));

    var _loadingIndicator = _interopRequireDefault(require("@frontend-taglib-clay$clayui/loading-indicator"));

    var _propTypes = _interopRequireDefault(require("frontend-js-react-web$prop-types"));

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    var _index = require("../../utilities/index");

    var _DatasetDisplayContext = _interopRequireDefault(require("../dataset_display/DatasetDisplayContext"));

    var _DefaultRenderer = _interopRequireDefault(require("./DefaultRenderer"));

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function ownKeys(object, enumerableOnly) {
      var keys = Object.keys(object);if (Object.getOwnPropertySymbols) {
        var symbols = Object.getOwnPropertySymbols(object);if (enumerableOnly) symbols = symbols.filter(function (sym) {
          return Object.getOwnPropertyDescriptor(object, sym).enumerable;
        });keys.push.apply(keys, symbols);
      }return keys;
    }

    function _objectSpread(target) {
      for (var i = 1; i < arguments.length; i++) {
        var source = arguments[i] != null ? arguments[i] : {};if (i % 2) {
          ownKeys(Object(source), true).forEach(function (key) {
            _defineProperty(target, key, source[key]);
          });
        } else if (Object.getOwnPropertyDescriptors) {
          Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
        } else {
          ownKeys(Object(source)).forEach(function (key) {
            Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
          });
        }
      }return target;
    }

    function _defineProperty(obj, key, value) {
      if (key in obj) {
        Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true });
      } else {
        obj[key] = value;
      }return obj;
    }

    function ActionLinkRenderer(props) {
      var _useContext = (0, _react.useContext)(_DatasetDisplayContext.default),
          actionLoading = _useContext.actionLoading,
          executeAsyncItemAction = _useContext.executeAsyncItemAction,
          highlightItems = _useContext.highlightItems,
          openModal = _useContext.openModal,
          openSidePanel = _useContext.openSidePanel;

      if (!props.actions || !props.actions.length) {
        return props.value ? /*#__PURE__*/_react.default.createElement(_DefaultRenderer.default, {
          value: props.value
        }) : null;
      }

      var currentAction = props.options && props.options.actionId ? props.actions.find(function (action) {
        return action.id === props.options.actionId;
      }) : props.actions[0];

      if (!currentAction) {
        return null;
      }

      if (currentAction.permissionKey) {
        if (props.itemData.actions[currentAction.permissionKey]) {
          if (currentAction.target === 'headless') {
            currentAction = _objectSpread(_objectSpread({}, currentAction), props.itemData.actions[currentAction.id]);
          }
        } else {
          return props.value ? /*#__PURE__*/_react.default.createElement(_DefaultRenderer.default, {
            value: props.value
          }) : null;
        }
      }

      var formattedHref = currentAction.href && (0, _index.formatActionUrl)(currentAction.href, props.itemData);

      function handleClickOnLink(e) {
        e.preventDefault();

        if (currentAction.target === 'modal') {
          openModal({
            size: currentAction.size || 'lg',
            title: currentAction.title,
            url: formattedHref
          });
        }

        if (currentAction.target === 'sidePanel') {
          highlightItems([props.itemId]);
          openSidePanel({
            size: currentAction.size || 'lg',
            title: currentAction.title,
            url: formattedHref
          });
        }

        if (currentAction.target === 'async' || currentAction.target === 'headless') {
          executeAsyncItemAction(formattedHref, currentAction.method);
        }

        if (currentAction.onClick) {
          eval(currentAction.onClick);
        }
      }

      function isNotALink() {
        return Boolean(currentAction.target && currentAction.target !== 'link' || currentAction.onClick);
      }

      return isNotALink() ? /*#__PURE__*/_react.default.createElement("div", {
        className: "table-list-title"
      }, /*#__PURE__*/_react.default.createElement(_button.default, {
        className: "p-0",
        disabled: actionLoading,
        displayType: "unstyled",
        onClick: handleClickOnLink,
        small: true
      }, actionLoading ? /*#__PURE__*/_react.default.createElement(_loadingIndicator.default, {
        small: true
      }) : props.value || /*#__PURE__*/_react.default.createElement(_icon.default, {
        symbol: currentAction.icon
      }))) : /*#__PURE__*/_react.default.createElement("div", {
        className: "table-list-title"
      }, /*#__PURE__*/_react.default.createElement(_link.default, {
        "data-senna-off": true,
        href: formattedHref
      }, props.value || /*#__PURE__*/_react.default.createElement(_icon.default, {
        symbol: currentAction.icon
      })));
    }

    var _default = ActionLinkRenderer;
    exports.default = _default;
    //# sourceMappingURL=ActionLinkRenderer.js.map
  }
});
//# sourceMappingURL=ActionLinkRenderer.js.map