Liferay.Loader.define("portal-workflow-metrics-web@2.0.46/js/components/sla/list-page/SLAListPage.es", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/alert', '@frontend-taglib-clay$clayui/layout', 'frontend-js-react-web$react', '../../../shared/components/promises-resolver/PromisesResolver.es', '../../../shared/hooks/useFetch.es', '../../../shared/hooks/usePageTitle.es', '../SLAContainer.es', './BlockedSLAInfo.es', './SLAListPageBody.es', './SLAListPageHeader.es', './modal/DeleteSLAModal.es'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = exports.SLAListPageContext = void 0;

    var _alert = _interopRequireDefault(require("@frontend-taglib-clay$clayui/alert"));

    var _layout = _interopRequireDefault(require("@frontend-taglib-clay$clayui/layout"));

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    var _PromisesResolver = _interopRequireDefault(require("../../../shared/components/promises-resolver/PromisesResolver.es"));

    var _useFetch2 = require("../../../shared/hooks/useFetch.es");

    var _usePageTitle = require("../../../shared/hooks/usePageTitle.es");

    var _SLAContainer = require("../SLAContainer.es");

    var _BlockedSLAInfo = _interopRequireDefault(require("./BlockedSLAInfo.es"));

    var _SLAListPageBody = require("./SLAListPageBody.es");

    var _SLAListPageHeader = require("./SLAListPageHeader.es");

    var _DeleteSLAModal = _interopRequireDefault(require("./modal/DeleteSLAModal.es"));

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _extends() {
      _extends = Object.assign || function (target) {
        for (var i = 1; i < arguments.length; i++) {
          var source = arguments[i];for (var key in source) {
            if (Object.prototype.hasOwnProperty.call(source, key)) {
              target[key] = source[key];
            }
          }
        }return target;
      };return _extends.apply(this, arguments);
    }

    function _slicedToArray(arr, i) {
      return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest();
    }

    function _nonIterableRest() {
      throw new TypeError("Invalid attempt to destructure non-iterable instance");
    }

    function _iterableToArrayLimit(arr, i) {
      if (!(Symbol.iterator in Object(arr) || Object.prototype.toString.call(arr) === "[object Arguments]")) {
        return;
      }var _arr = [];var _n = true;var _d = false;var _e = undefined;try {
        for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
          _arr.push(_s.value);if (i && _arr.length === i) break;
        }
      } catch (err) {
        _d = true;_e = err;
      } finally {
        try {
          if (!_n && _i["return"] != null) _i["return"]();
        } finally {
          if (_d) throw _e;
        }
      }return _arr;
    }

    function _arrayWithHoles(arr) {
      if (Array.isArray(arr)) return arr;
    }

    var SLAListPage = function SLAListPage(_ref) {
      var page = _ref.page,
          pageSize = _ref.pageSize,
          processId = _ref.processId;

      var _useContext = (0, _react.useContext)(_SLAContainer.SLAContext),
          SLAUpdated = _useContext.SLAUpdated,
          setSLAUpdated = _useContext.setSLAUpdated;

      var _useState = (0, _react.useState)(null),
          _useState2 = _slicedToArray(_useState, 2),
          itemToRemove = _useState2[0],
          setItemToRemove = _useState2[1];

      var _useState3 = (0, _react.useState)(false),
          _useState4 = _slicedToArray(_useState3, 2),
          visible = _useState4[0],
          setVisible = _useState4[1];

      var _useFetch = (0, _useFetch2.useFetch)({
        params: {
          page: page,
          pageSize: pageSize
        },
        url: "/processes/".concat(processId, "/slas")
      }),
          data = _useFetch.data,
          fetchData = _useFetch.fetchData;

      (0, _usePageTitle.usePageTitle)(Liferay.Language.get('slas'));

      var promises = (0, _react.useMemo)(function () {
        if (!visible) {
          return [fetchData()];
        }

        return [];
      }, [fetchData, visible]);
      return (/*#__PURE__*/_react.default.createElement(SLAListPageContext.Provider, {
          value: {
            itemToRemove: itemToRemove,
            setVisible: setVisible,
            showDeleteModal: function showDeleteModal(id) {
              setVisible(true);
              setItemToRemove(id);
            },
            visible: visible
          }
        }, /*#__PURE__*/_react.default.createElement(SLAListPage.Header, {
          processId: processId
        }), /*#__PURE__*/_react.default.createElement(_layout.default.ContainerFluid, null, /*#__PURE__*/_react.default.createElement(_BlockedSLAInfo.default, {
          processId: processId
        }), SLAUpdated && /*#__PURE__*/_react.default.createElement(_alert.default, {
          displayType: "info",
          onClose: function onClose() {
            return setSLAUpdated(false);
          },
          title: Liferay.Language.get('info')
        }, /*#__PURE__*/_react.default.createElement("span", null, "".concat(Liferay.Language.get('one-or-more-slas-are-being-updated'), " ").concat(Liferay.Language.get('there-may-be-a-delay-before-sla-changes-are-fully-propagated')))), /*#__PURE__*/_react.default.createElement(_PromisesResolver.default, {
          promises: promises
        }, /*#__PURE__*/_react.default.createElement(SLAListPage.Body, _extends({}, data, {
          page: page,
          pageSize: pageSize
        }))), /*#__PURE__*/_react.default.createElement(SLAListPage.DeleteSLAModal, null)))
      );
    };

    var SLAListPageContext = /*#__PURE__*/(0, _react.createContext)();
    exports.SLAListPageContext = SLAListPageContext;
    SLAListPage.Body = _SLAListPageBody.Body;
    SLAListPage.Header = _SLAListPageHeader.Header;
    SLAListPage.DeleteSLAModal = _DeleteSLAModal.default;
    var _default = SLAListPage;
    exports.default = _default;
    //# sourceMappingURL=SLAListPage.es.js.map
  }
});
//# sourceMappingURL=SLAListPage.es.js.map